libksba (1.3.5-2-2+dilos3) unstable; urgency=medium

  * Build for DilOS

 -- DilOS team <dilos@dilos.org>  Tue, 03 Aug 2021 11:23:48 +0300

libksba (1.3.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 03 Sep 2016 15:22:31 +0200

libksba (1.3.5-1) experimental; urgency=low

  * Point watch file to https instead of ftp URL.
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Aug 2016 16:54:15 +0200

libksba (1.3.4-4) unstable; urgency=medium

  * Add libksba8.symbols, mainly for the benefit of using
    "* Build-Depends-Package: libksba-dev".

 -- Andreas Metzler <ametzler@debian.org>  Sat, 06 Aug 2016 07:38:57 +0200

libksba (1.3.4-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 08 May 2016 14:18:36 +0200

libksba (1.3.4-2) experimental; urgency=medium

  *  Add build-dep on automake (>= 1:1.12) because libksba is using the serial
     test harness.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 04 May 2016 18:41:02 +0200

libksba (1.3.4-1) experimental; urgency=medium

  * New upstream version.
  * Use newly available ./configure option --enable-build-timestamp with
    $(SOURCE_DATE_EPOCH) as argument. Bump dh build-dep to >= 9.20151004.
  * Set DEB_BUILD_MAINT_OPTIONS := hardening=+bindnow.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 03 May 2016 20:01:56 +0200

libksba (1.3.3-3) unstable; urgency=medium

  * Upload to unstable.
  * Drop build/ from debian/clean.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 27 Feb 2016 07:48:01 +0100

libksba (1.3.3-2) experimental; urgency=medium

  [ Andreas Metzler ]
  * Move Vcs-* from git/http to https.
  * Also set --builddirectory=build on dh $@ line.

  [ Daniel Kahn Gillmor ]
  * Build out-of-tree for cleanliness.
  * 0001-fix-win32-linker.patch: Fix mingw32 linker error.
  * Build windows cross-building packages for libksba. Closes: #814953

 -- Andreas Metzler <ametzler@debian.org>  Mon, 22 Feb 2016 19:39:08 +0100

libksba (1.3.3-1) unstable; urgency=high

  * New upstream security release.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 30 Apr 2015 18:47:09 +0200

libksba (1.3.2-1) unstable; urgency=high

  * New upstream security release, fixing a buffer overflow in ksba_oid_to_str
    in Libksba. Closes: #770972 CVE-2014-9087

 -- Andreas Metzler <ametzler@debian.org>  Tue, 25 Nov 2014 20:05:54 +0100

libksba (1.3.1-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 26 Sep 2014 19:27:35 +0200

libksba (1.3.0-3) unstable; urgency=medium

  * Point vcs* to git.
  * Convert to dh, compat level 9.
  * Add debian/upstream-signing-key.pgp (listed in
    debian/source/include-binaries) and update watchfile to check
    upstream signature.
  * Sync from Ubuntu:
    + Build using dh-autoreconf. (Does not benefit us yet on Debian, but will
      fix FTBFS on ppc64le once #726404 is fixed.)

 -- Andreas Metzler <ametzler@debian.org>  Mon, 23 Dec 2013 13:26:26 +0100

libksba (1.3.0-2) unstable; urgency=low

  * Upload to unstable.
  * Use dh v8 compat.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 May 2013 17:44:01 +0200

libksba (1.3.0-1) experimental; urgency=low

  * New upstream version.
    + License of library changed from GPLv3+ to LGPLv3+/GPLv2. (Commandline
      utils and documentation stay GPLv3+).
  * [lintian]: Drop "Section: libs" from libksba binary package stanza in
    debian/control.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 29 Sep 2012 14:19:05 +0200

libksba (1.2.0-2) unstable; urgency=low

  * Build for multi-arch.
  * Stop setting CFLAGS += -Wall, it is set by default again.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 19 Jun 2011 14:02:59 +0200

libksba (1.2.0-1) unstable; urgency=low

  * New upstream version.
  * Symbols added, bump shlibs.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 05 Mar 2011 14:22:57 +0100

libksba (1.1.0-2) unstable; urgency=low

  * Upload to unstable.
  * Set CFLAGS += -Wall, the latest combination of cdbs + dpkg-dev does not
    seem to set it by default.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 19 Feb 2011 15:49:20 +0100

libksba (1.1.0-1) experimental; urgency=low

  * New upstream version.
  * Change libksba-dev dependency on libksba8 to =${binary:Version (from >=).
  * Build-depend on libgpg-error-dev (>= 1.8).
  * Symbols added, bump shlibs.
  * Use dpkg-source v3, drop cdbs simple-patchsys.
  * New upstream does not build static libs by default, invoke ./configure
    with --enable-static.
  * Switch to dh compat level 7. (No changes except for bumping
    cdbs/debhelper build-depends.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 22 Dec 2010 10:38:18 +0100

libksba (1.0.7-2) unstable; urgency=low

  * Stop shipping la file. (squeeze release goal)
  * Stop double installing info files with both dh_install and dh_installinfo.

 -- Andreas Metzler <ametzler@debian.org>  Wed, 26 Aug 2009 19:17:18 +0200

libksba (1.0.7-1) unstable; urgency=low

  * New upstream version.
  * Standards-Version: 3.8.2 - No changes required.
  * Remove cruft from debian/rules.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 18 Jul 2009 10:06:31 +0200

libksba (1.0.6-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.8.1, no changes required.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 11 Jun 2009 09:39:19 +0200

libksba (1.0.5-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * debian/watch: force passive FTP, since ftp.gnupg.org seems unhappy with
    active
  * Changed XS-Vcs-* control fields to Vcs-*
  [ Andreas Metzler ]
  * New upstream release.
  * [lintian] Use ${misc:Depends} for libksba-dev, too.
  * Standards-Version 3.8.0, rename debian/README.source_and_patches to
    debian/README.source

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Feb 2009 12:30:11 +0100

libksba (1.0.3-1) unstable; urgency=low

  * New upstream bugfix release.
  * Standards-Version: 3.7.3. ${binary:Version} instead of ${Source-Version}.
  * Point watchfile to ftp://ftp.gnupg.org/ since http seems to be broken.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 16 Feb 2008 13:51:42 +0100

libksba (1.0.2-1) unstable; urgency=low

  * New upstream release
  * Updated build dependencies:
    - bump libgpg-error-dev version requirement
    - drop bison
  * Added XS-Vcs- control fields
  * Updated copyright to GPL version 3
  * Bumped shlibs

 -- Peter Eisentraut <petere@debian.org>  Wed, 08 Aug 2007 00:51:00 +0200

libksba (1.0.1-2) unstable; urgency=low

  * Upload to unstable.
  * Debhelper v5 mode.

 -- Andreas Metzler <ametzler@debian.org>  Sun,  8 Apr 2007 17:24:22 +0200

libksba (1.0.1-1) experimental; urgency=low

  [ Andreas Metzler ]
  * Fix watchfile to not search for alpha versions anymore.
  * New upstream version.

 -- Andreas Metzler <ametzler@debian.org>  Sat,  3 Feb 2007 11:20:28 +0100

libksba (1.0.0-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * New upstream release.
  * Adjusted watch file for new download location.
  * Updated build dependencies:
    - drop libgcrypt11-dev and texinfo.
    - bump libgpg-error-dev version requirement.
    - bump debhelper build-dependency.
  * Removed redundant .docs files
  [ Andreas Metzler ]
  * Bump shlibs.
  * Add Peter Eisentraut to uploaders.

 -- Andreas Metzler <ametzler@debian.org>  Thu,  7 Sep 2006 19:44:29 +0200

libksba (0.9.16-1) unstable; urgency=low

  [ James Westby ]
  * New upstream release.
  [ Andreas Metzler ]
  * Bump shlibs, as some stuff has been added to the interface.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 12 Aug 2006 19:34:31 +0200

libksba (0.9.15-1) unstable; urgency=low

  * New upstream version.
    - unbreaks S/mime validation in kmail. (Closes: #375084)
    - fix watch file
  * Update debian/copright, now featuring current FSF address.

 -- Andreas Metzler <ametzler@debian.org>  Fri, 23 Jun 2006 19:31:47 +0200

libksba (0.9.14-1) unstable; urgency=low

  [ James Westby ]
  * New maintainer team. Thanks, Matthias for all the work you did.
  * Set maintainer to alioth mailinglist.
  * New upstream release.
  * Use compat 4.
    - Build depends on debhelper (>= 4.1).
    - Add ${misc:Depends} to libksba8.
  * Clean packaging against upstream tarball.
  * Drop debian/libksba8.dirs and debian/libksba-dev.dirs. dh_* will
    generate the necessary directories.
  * Remove the unneeded debian/libksba0* files.
  * Remove the maintainer script templates, dh_* will create them as needed.
  * Build-Depends on autotools-dev.
  * Added Section: libs to debian/control. (Linda warning).
  * Standards-Version: 3.7.2. No changes.
  * Transition debian/rules to cdbs.
    - Using cdbs' simple-patchsys.mk, see debian/README.source_and_patches
  * Replace debian/*.files with debian/*.install
  [ Andreas Metzler ]
  * Update debian/copyright and include an actual copyright statement.
  * Add  --enable-ld-version-script to DEB_CONFIGURE_EXTRA_FLAGS to force
    versioning of symbols, instead of patching ./configure.in.

 -- Andreas Metzler <ametzler@debian.org>  Thu, 15 Jun 2006 16:09:35 +0200

libksba (0.9.13-1) unstable; urgency=low

  * New upstream release 0.9.13 
    * Closes:#347667 (new release wanted)

 -- Matthias Urlichs <smurf@debian.org>  Tue, 24 Jan 2006 08:24:42 +0100

libksba (0.9.12-1) unstable; urgency=low

  * New Upstream version.
    - Upgraded version for makeshlibs.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 20 Oct 2005 13:42:07 +0200

libksba (0.9.11-2) unstable; urgency=low

  * Added a version number to dh_mkshlibs (#324611).

 -- Matthias Urlichs <smurf@debian.org>  Sun, 11 Sep 2005 09:34:49 +0200

libksba (0.9.11-1) unstable; urgency=low

  * New Upstream version.

 -- Matthias Urlichs <smurf@debian.org>  Mon,  1 Aug 2005 01:40:34 +0200

libksba (0.9.9-3) unstable; urgency=low

  * Add a debian/watch file.

 -- Matthias Urlichs <smurf@debian.org>  Sat,  9 Oct 2004 18:15:49 +0200

libksba (0.9.9-2) unstable; urgency=medium

  * libksba-dev needs a Replaces: on libksba0 because the latter
    includes the ksba-config binary. Ouch.
    - Closes: #273111: libksba-dev: Error overwriting `/usr/bin/ksba-config'

 -- Matthias Urlichs <smurf@debian.org>  Fri, 24 Sep 2004 08:38:34 +0200

libksba (0.9.9-1) unstable; urgency=medium

  * New Upstream version.
    - Fixed a bug in OCSP request generation which breaks multi-level
      certificate chains.
  * Taken over.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 18 Aug 2004 08:16:56 +0200

libksba (0.9.7-0.1) experimental; urgency=low

  * Updated to version 0.9.7.

 -- Matthias Urlichs <smurf@debian.org>  Mon, 14 Jun 2004 17:49:17 +0200

libksba (0.9.4-0.1) experimental; urgency=low

  * Took over packaging (the ITP is 320 days old).                Closes:#187547
  * Updated to version 0.9.3.
  * Build-Depend on libgpg-error-dev, libgcrypt7-dev, byacc
  * Added manpage for ksba-config
  * The library package is at version 8, thus: rename libksba0 to libksba8.
  * configure.ac: AM_PROG_LIBTOOL => AC_PROG_LIBTOOL
  * added postinst and postrm for debhelper/ldconfig
  * Missed dependency on texinfo.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 18 Feb 2004 06:20:25 +0100

libksba (0.4.6-0woody2) unstable; urgency=low

  * added a make check after make to be on the safe side

 -- Ralf Nolden (KDE) <nolden@kde.org>  Sat, 18 Jan 2003 17:23:16 +0100

libksba (0.4.3-0) unstable; urgency=low

  * Initial packaging.

 -- Marcus Brinkmann <mb@g10code.de>  Thu, 25 Jul 2002 21:50:21 +0200

